// Pad.hpp : Definition of pad constants
//
// 08.09.1998 / DH - First release
//
// Copyright (c) 1998 Daniel Hartmeier. All rights reserved.

#ifndef __Pad__
#define __Pad__

#include <libps.h>

// -------------------------------------------------------------------

const u_long padUp     = (1 << 12);
const u_long padDown   = (1 << 14);
const u_long padLeft   = (1 << 15);
const u_long padRight  = (1 << 13);
const u_long padS      = (1 <<  7);
const u_long padO      = (1 <<  5);
const u_long padX      = (1 <<  6);
const u_long padT      = (1 <<  4);
const u_long padStart  = (1 << 11);
const u_long padSelect = (1 <<  8);
const u_long padL1     = (1 <<  2);
const u_long padL2     = (1 <<  0);
const u_long padR1     = (1 <<  3);
const u_long padR2     = (1 <<  1);

// -------------------------------------------------------------------

#endif
