// Sound.cpp : Sound class
//
// 08.09.1998 / DH - First release
//
// Copyright (c) 1998 Daniel Hartmeier. All rights reserved.

#include "Sound.hpp"
#include <libps.h>

// -------------------------------------------------------------------

Sound::Sound(unsigned char *vh, unsigned char *vb)
  {
    vabId = SsVabTransfer(vh, vb, -1, 1); 
  }

Sound::~Sound()
  {
  }

void Sound::play(int program, int tone)
  {
	  SsUtKeyOn(vabId, program, tone, 60, 0, 127, 127);
    return;
  }

// -------------------------------------------------------------------
