// Sound.hpp : Sound class
//
// 08.09.1998 / DH - First release
//
// Copyright (c) 1998 Daniel Hartmeier. All rights reserved.

#ifndef __Sound__
#define __Sound__

// -------------------------------------------------------------------

#define SOUND_DOINK     0, 0
#define SOUND_FALLBONK  1, 0
#define SOUND_GUNSHOT   2, 0
#define SOUND_EXPLOSION 3, 0
#define SOUND_CLICK     4, 0
#define SOUND_CLICK2    5, 0

// -------------------------------------------------------------------

class Sound
  {
    public:
      Sound(unsigned char *vh, unsigned char *vb);
      virtual ~Sound();
      virtual void play(int program, int tone);
    protected:
    private:
      int vabId;
  };

// -------------------------------------------------------------------

#endif
