// Tile.hpp : Tile class
//
// 17.11.1998 / DH - Outsourced
// 24.11.1998 / DH - Clean-up
//
// Copyright (c) 1998 Daniel Hartmeier. All rights reserved.

#ifndef __Tile__
#define __Tile__

class Tile;

#include "Sprite.hpp"

// -------------------------------------------------------------------

class Tile : public Sprite
  {
    public:
      Tile(Image *image, int u, int v) : Sprite(image, 16, 16, u, v) {}
    protected:
    private:
  };

// -------------------------------------------------------------------

class TorchTile : public Tile
  {
    public:
      TorchTile();
      virtual ~TorchTile();
      virtual void draw(GsOT *ot);
    protected:
    private:
      Sprite *torch;
      int step;
  };

// -------------------------------------------------------------------

#endif
